summaryrefslogtreecommitdiffstats
path: root/base/pkg-get-awk/post-install
diff options
context:
space:
mode:
authortnut <thierryn1 at hispeed dot ch>2011-02-03 10:33:13 +0100
committertnut <thierryn1 at hispeed dot ch>2011-02-03 10:33:13 +0100
commit1506f9971307bb66d6edf2edc51a20e5723371b4 (patch)
tree2f5ef22de614bb94b737fa9839b7ee64e5c36cb0 /base/pkg-get-awk/post-install
parentcb79537ed4193838096fef12fe86eaaf0d06cf34 (diff)
downloadnutyx-pakxe-1506f9971307bb66d6edf2edc51a20e5723371b4.tar.gz
nutyx-pakxe-1506f9971307bb66d6edf2edc51a20e5723371b4.tar.bz2
nutyx-pakxe-1506f9971307bb66d6edf2edc51a20e5723371b4.tar.xz
nutyx-pakxe-1506f9971307bb66d6edf2edc51a20e5723371b4.zip
pkg-get-awk, nouveau port, merci à guy
Diffstat (limited to 'base/pkg-get-awk/post-install')
-rwxr-xr-xbase/pkg-get-awk/post-install19
1 files changed, 19 insertions, 0 deletions
diff --git a/base/pkg-get-awk/post-install b/base/pkg-get-awk/post-install
new file mode 100755
index 000000000..63e4e41c8
--- /dev/null
+++ b/base/pkg-get-awk/post-install
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+pkf=/usr/bin/pkg-get
+if [ -L $pkf ]; then
+ rm $pkf
+else
+ file $pkf | grep perl >/dev/null
+ if [ $? -eq 0 ]; then
+ mv $pkf $pkf.pl
+ fi
+fi
+if [ -f $pkf ]; then
+ echo "pkg-get-awk_post_install: ERREUR, le fichier $pkf existe déjà !!!"
+ exit 1
+fi
+ln -s /usr/bin/pkg-get.awk $pkf
+if [ ! -f /etc/pkg-get.conf ]; then
+ cp -p /etc/pkg-get-awk.conf /etc/pkg-get.conf
+fi